Name:           wimlib
Version:        1.12.0
Release:        2%{?dist}
Summary:        Library to create, extract, and modify Windows Imaging (WIM) files

License:        GPLv3+
URL:            http://wimlib.net/
Source0:	https://wimlib.net/downloads/%{name}-%{version}.tar.gz

BuildRequires:  gcc
%{?!_without_ntfs_3g:
BuildRequires:  ntfs-3g-devel
}
BuildRequires:  fuse-devel
BuildRequires:  libxml2-devel, openssl-devel, libattr-devel

%description
wimlib is a library that can be used to create, extract, and modify files in
the Windows Imaging Format.  These files are normally created by the
'imagex.exe' program on Windows, but this library provides a free
implementation of 'imagex' for UNIX-based systems.  wimlib supports mounting
WIM files, just like imagex.exe.


%package devel
Summary:	wimlib development files

%description devel
wimlib development files


%prep
%setup -q


%build
#sed -i 's|-rpath ..libdir. ||' Makefile.in
%configure --disable-rpath --libdir=%{_libdir}/%{name} \
  --with-libcrypto --enable-xattr \
  %{?!_without_ntfs_3g:--with-ntfs-3g} %{?_without_ntfs_3g:--without-ntfs-3g}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%{_bindir}/wim*
%{_bindir}/mkwinpeimg
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libwim.so*
%{_mandir}/man1/*
%doc NEWS README
%license COPYING COPYING.GPLv3

%files devel
%{_includedir}/wimlib.h
%{_libdir}/%{name}/libwim.*a
%{_libdir}/%{name}/pkgconfig/wimlib.pc
%license COPYING COPYING.GPLv3 COPYING.LGPLv3


%changelog
* Wed Oct 31 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.12.0-2
- Added gcc to BuildRequires.

* Thu Mar 08 2018 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.12.0-1
- update to upstream

* Thu Jun 22 2017 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.11.0-2
- rebuild for new ntfs-3g

* Fri Dec 13 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5.3-1
- update to upstream

* Wed Feb 20 2013 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.2.5-1
- update to upstream
- recompile against new ntfs-3g

* Sat Nov 10 2012 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.0.4-1
- update to upstream
